Package org.opensaml.xmlsec.signature

# Interface XMLSignatureBuilder<XMLSignatureType extends XMLObject>

Type Parameters:
  `XMLSignatureType` - the type of XMLObject being built

All Superinterfaces:
  `XMLObjectBuilder<XMLSignatureType>`

All Known Implementing Classes:
  `CryptoBinaryBuilder`, `DEREncodedKeyValueBuilder`, `DigestMethodBuilder`, `DSAKeyValueBuilder`, `ECKeyValueBuilder`, `ExponentBuilder`, `GBuilder`, `JBuilder`, `KeyInfoBuilder`, `KeyInfoReferenceBuilder`, `KeyNameBuilder`, `KeyValueBuilder`, `MgmtDataBuilder`, `ModulusBuilder`, `NamedCurveBuilder`, `PBuilder`, `PgenCounterBuilder`, `PGPDataBuilder`, `PGPKeyIDBuilder`, `PGPKeyPacketBuilder`, `PublicKeyBuilder`, `QBuilder`, `RetrievalMethodBuilder`, `RSAKeyValueBuilder`, `SeedBuilder`, `SignatureBuilder`, `SPKIDataBuilder`, `SPKISexpBuilder`, `TransformBuilder`, `TransformsBuilder`, `X509CertificateBuilder`, `X509CRLBuilder`, `X509DataBuilder`, `X509DigestBuilder`, `X509IssuerNameBuilder`, `X509IssuerSerialBuilder`, `X509SerialNumberBuilder`, `X509SKIBuilder`, `X509SubjectNameBuilder`, `XPathBuilder`, `YBuilder`

public interface XMLSignatureBuilder<XMLSignatureType extends XMLObject> extends XMLObjectBuilder<XMLSignatureType>
Builder for XMLObjects from `org.opensaml.xmlsec.signature`.

## Method Summary

Modifier and Type
Method
Description
`XMLSignatureType`
`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

## Method Details

### buildObject

@Nonnull XMLSignatureType buildObject()
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.

Returns:
  built XMLObject